## org.exist.xmlrpc
Class QueryResult

    java.lang.Object
      org.exist.xmlrpc.QueryResult

public class QueryResult
extends java.lang.Object

Simple container for the results of a query. Used to cache query results that may be retrieved later by the client.

Author:
  wolf

Constructor Summary
`QueryResult(XPathException e)`
`QueryResult(XQueryContext context, Sequence result)`
`QueryResult(XQueryContext context, Sequence result, long queryTime)`

Method Summary
`XQueryContext` `getContext()`
`XPathException` `getException()`
`long` `getQueryTime()`
`Sequence` `getResult()`
`long` `getTimestamp()`
`boolean` `hasErrors()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResult

    public QueryResult(XQueryContext context,
                       Sequence result)

### QueryResult

    public QueryResult(XQueryContext context,
                       Sequence result,
                       long queryTime)

### QueryResult

    public QueryResult(XPathException e)

Method Detail

### hasErrors

    public boolean hasErrors()

### getException

    public XPathException getException()

### getContext

    public XQueryContext getContext()

  Returns:
    Returns the context.

### getQueryTime

    public long getQueryTime()

  Returns:
    Returns the queryTime.

### getResult

    public Sequence getResult()

  Returns:
    Returns the result.

### getTimestamp

    public long getTimestamp()

  Returns:
    Returns the timestamp.

Copyright (C) Wolfgang Meier. All rights reserved.